<div class="documentation-content-container">
  <section class="mat-typography">
    <h2>Class distribution, sparsity, and global p-values</h2>
    <p>Toggle the tabs to view the characteristics of your data.</p>
    <p>
      <b>Class Distribution</b> shows the sizes of the control and test groups.
    </p>
    <p>
      <b>Volcano plot</b> shows log10 transformed p-values (independent
      two-sided t-test) over log2 transformed fold-changes (relative to control
      group) for each data point (sample). Dotted lines indicate a p-value of
      0.001 (horizontal) and fold changes of 0.5 and 2.0 (vertical).
    </p>
    <p>
      <b>Data Sparsity</b> shows the number above a specific fraction of
      non-zero values. A fraction of non-zero values of 0.25 means that 25% of
      the values in a group are non-zero. Correspondingly, the number of
      molecules with at least 25% non-zero values is shown on the y-axis. You
      can repeat the first step and adapt the non-sparsity fraction according to
      this plot.
    </p>
  </section>
  <lib-result-figures
    [imageLinks]="overViewImages$ | async"
    [isLoading]="isLoading()"
    [tabLables]="['Class Distribution', 'Volcano Plot', 'Data Sparsity']"
    [hasResultTable]="false"
  >
  </lib-result-figures>

  <!-- <div id="result-table" class="outer-form-container">
      <div class="inner-form-container overflow-x-hidden">
        <mat-form-field appearance="outline">
          <mat-label>Filter</mat-label>
          <input
            matInput
            (keyup)="applyFilter($event)"
            placeholder="find feature"
            #input
          />
        </mat-form-field>

        <div class="feature-table">
          <table
            mat-table
            matSort
            matSortActive="pValue"
            matSortDirection="asc"
            [dataSource]="dataSource"
          >
            <ng-container matColumnDef="moleculeId">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                molecule id
              </th>
              <td mat-cell *matCellDef="let pValue">
                {{ pValue.moleculeId }}
              </td>
            </ng-container>

            <ng-container matColumnDef="pValue">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>p value</th>
              <td mat-cell *matCellDef="let pValue">
                {{ pValue.pValue | expoPipe : 2 }}
              </td>
            </ng-container>

            <tr
              mat-header-row
              *matHeaderRowDef="displayedColumns; sticky: true"
            ></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>

            <tr class="mat-row" *matNoDataRow>
              <td class="mat-cell" colspan="2">
                No data matching the filter "{{ input.value }}"
              </td>
            </tr>
          </table>
        </div>

        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
      </div>
    </div> -->
</div>
